For the complete documentation index, see llms.txt. This page is also available as Markdown.

List VAT codes

Get a list of current VAT codes.

get
/vat
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Query parameters
vatCountryCodestringOptional

Filter by country

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/vat
GET /v2/vat HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "fromDate": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "rate": 1,
      "vatCodeUid": "text",
      "countryCode": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?